void main( void )
{
}
                
void talk( void )
{
freeze(1);
freeze(&current_sprite);
    choice_start();
   "叫小鸭鸭回家"
   "朝它吼"
    choice_end();
   if (&result == 1)
   {
 wait(500);
 say_stop("小鸭鸭，小鸭鸭，你该回Ethel家了啦。", 1);
 wait(500);
 say_stop("`0呱！！呱呱！！", &current_sprite);
 wait(500);
   }
   if (&result == 2)
   {
 wait(500);
 say_stop("你太不乖了，连我都不会离家出走。", 1);
 wait(250);
 say_stop("应该为你的行为感到害臊，", 1);
 wait(500);
 say_stop("`0才不！", &current_sprite);
 wait(250);
 say_stop("`0不过看在你这么辛苦的份上，我回去吧...", &current_sprite);
 wait(500);
 &old_womans_duck = 2;
 sp_speed(&current_sprite, 2);
 sp_timing(&current_sprite, 0);

 move_stop(&current_sprite, 8, -12, 1);
 sp_active(&current_sprite, 0);

   }
unfreeze(1);
unfreeze(&current_sprite);
}

void die( void )
{
 &old_womans_duck = 3;
 say_stop("哈哈！", 1);
}


